<?php

namespace App\Http\Controllers\backend;

use App\DataTables\backend\BookingsDataTable;
use App\Models\Airport;
use App\Models\Company;
use App\Models\Product;
use App\Models\Site;
use App\Http\Requests\StoreSiteRequest;
use App\Http\Requests\UpdateSiteRequest;
use App\Http\Controllers\Controller;
use App\Models\Terminal;

class DashboardAdminController extends Controller
{
    public function commonDashboard(BookingsDataTable $dataTable){

        $date_filters = [
            ['id' => 1, 'name' => 'Booking Date'],
            ['id' => 2, 'name' => 'Pick Date'],
            ['id' => 3, 'name' => 'Drop Date'],
        ];

        $products = Product::select('id','name')->get();
        $companies = Company::select('id','name')->get();
        $terminals = Terminal::where('terminal_status','1')->select('id','terminal_name')->get();
        $airports = Airport::select('id','name')->get();
        $title = 'Common Dashboard';

        $data = ['title' => 'Common Dashboard', 'products' => $products, 'companies' => $companies, 'terminals' => $terminals, 'airports' => $airports, 'date_filters' => $date_filters];
        return $dataTable->render('backend.dashboard.common', $data);

//        return view('backend.dashboard.common', compact('title','products','companies', 'terminals', 'airports', 'date_filters'));
    }

    public function datatable(BookingsDataTable $dataTable)
    {
        return $dataTable->ajax();
    }
}
