<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Booking extends Model
{
    use HasFactory;

    protected $fillable = [
        'airport_id',
        'company_id',
        'customer_id',
        'product_id',
        'block_id',
        'booking_date',
        'date_from',
        'date_to',
        'dis_code',
        'price',
        'net_price',
        'status',
        'pay_at_exit',
        'payment_status',
        'payment_ref',
        'total_amount',

    ];

    protected $with = ['customer', 'product', 'vehicles', 'company', 'airport'];

    public function customer()
    {
        return $this->belongsTo(Customer::class);
    }

    public function product()
    {
        return $this->belongsTo(Product::class);
    }

    public function vehicles()
    {
        return $this->hasMany(Vehicle::class);
    }

    public function company()
    {
        return $this->belongsTo(Company::class);
    }

    public function airport()
    {
        return $this->belongsTo(Airport::class);
    }
    public function block()
    {
        return $this->belongsTo(Block::class);
    }

    public function payment()
    {
        return $this->hasOne(Payment::class);
    }

}
