<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Invoice extends Model
{
    protected $fillable = [
        'invoice_no',
        'invoice_date',
        'type',
        'status',
        'company_id',
        'customer_id',
        'booking_id',
        'amount',
        'discount',
        'tax_amount',
        'payment_method',
        'payment_status',
        'payment_date',
        'payment_reference',
        'payment_currency',
        'payment_amount',
        'total_amount'
        ];

    public function booking()
    {
        return $this->belongsTo(Booking::class);
    }

    public function formatResponse($item) : array
    {
        return [
            'invoice_no' => $item->invoice_no,
            'invoice_date' => $item->invoice_date,
            'type' => $item->type,
            'status' => $item->status,
            'company_id' => $item->company_id,
            'customer_id' => $item->customer_id,
            'booking_id' => $item->booking_id,
            'amount' => $item->amount,
            'discount' => $item->discount,
            'tax_amount' => $item->tax_amount,
            'payment_method' => $item->payment_method,
            'payment_status' => $item->payment_status,
            'payment_date' => $item->payment_date,
            'payment_reference' => $item->payment_reference,
            'payment_currency' => $item->payment_currency,
            'payment_amount' => $item->payment_amount,
            'total_amount' => $item->total_amount,
        ];
    }

}
