<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Casts\Attribute;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ProductFeature extends Model
{
    use HasFactory;

    protected $fillable = [
        'title',
        'description',
        'icon',
    ];

    // Validation rules
    public static $rules = [
        'title' => 'required|string|max:150',
        'description' => 'required|string',
        'icon' => 'required|image|mimes:jpeg,png,jpg,gif,svg|max:2048',
    ];

    protected function icon(): Attribute
    {
        return Attribute::make(
            get: fn (string $value) =>  asset('storage/'.$value),
        );
    }

    public function formatResponse($airport) : array
    {
        return [
            'name' => $airport->name,
            'country' => $airport->country,
            'address' => $airport->address,
        ];
    }
}
