<?php

namespace App\Providers;

use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Blade;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        // Force HTTPS when behind a proxy (if needed)
        if (request()->server('HTTP_X_FORWARDED_PROTO') === 'https' || request()->isSecure()) {
            URL::forceScheme('https');
        }

        // Register the UpdateConfirmationModal component
        Blade::component('update-confirmation-modal', \App\View\Components\backend\UpdateConfirmationModal::class);
        Blade::component('delete-confirmation-modal', \App\View\Components\backend\DeleteConfirmationModal::class);
    }
}
