<?php

namespace App\Services;

use App\Models\Vehicle;
use App\Models\VehicleMake;
use App\Models\VehicleModel;

class VehicleService
{
    private VehicleMake $vehicleMake;
    private VehicleModel $vehicleModel;
    private Vehicle $model;

    public function __construct(Vehicle $model, VehicleMake $vehicleMake, VehicleModel $vehicleModel)
    {
        $this->vehicleMake = $vehicleMake;
        $this->vehicleModel = $vehicleModel;
        $this->model = $model;
    }

    public function vehicleMakes()
    {
        return $this->vehicleMake::all();
    }

    public function getVehicleModels($make)
    {
        return $this->vehicleModel::where('vehicle_make_id', $make)->get();
    }

    public function fetchOrCreate( array $vehicles)
    {
        $this->model::insert($vehicles);
    }


}
