<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('companies', function (Blueprint $table) {
            $table->id();
            $table->string('name', 150)->index();
            $table->string('register_number', 250);
            $table->string('vat_number', 250);
            $table->text('address');
            $table->string('street', 100);
            $table->string('city', 100);
            $table->string('country', 60);
            $table->string('postal_code', 60);
            $table->string('hotline_1', 60);
            $table->string('hotline_2', 60)->nullable();
            $table->string('booking_email', 100);
            $table->string('password', 100)->nullable();
            $table->string('company_email', 100);
            $table->string('website', 100);
            $table->string('logo',250)->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('companies');
    }
};
