<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('airports', function (Blueprint $table) {
            $table->id();
            $table->string('name', 150)->index();
            $table->string('country', 60)->index();
            $table->text('address');
            $table->string('email',200);
            $table->decimal('latitude', 10, 8)->nullable();   // 10 total digits, 8 after decimal point
            $table->decimal('longitude', 11, 8)->nullable();  // 11 total digits, 8 after decimal point
            $table->boolean('status')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('airports');
    }
};
