<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->string('name', 150)->index();
            $table->string('featured_image', 255)->nullable();
            $table->text('terms_and_conditions');
            $table->text('description');
            $table->text('drop_off_procedure');
            $table->text('pick_up_procedure');
            $table->integer('min_dates')->unsigned();
            $table->integer('max_dates')->unsigned();
            $table->foreignId('company_id')->constrained()->onDelete('restrict');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('products');
    }
};
