<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('invoices', function (Blueprint $table) {
            $table->id()->autoIncrement();
            $table->string('invoice_no', 20);
            $table->date('invoice_date');
            $table->string('type', 20);
            $table->string('status', 20);
            $table->integer('company_id');
            $table->integer('customer_id');
            $table->integer('booking_id');
            $table->double('amount', 8, 2)->default('0.00');
            $table->double('discount', 8, 2)->default('0.00');
            $table->double('tax_amount', 8, 2)->default('0.00');
            $table->string('payment_method', 20)->nullable();
            $table->string('payment_status', 20)->nullable();
            $table->string('payment_date', 20)->nullable();
            $table->string('payment_reference', 20)->nullable();
            $table->string('payment_currency', 20)->nullable();
            $table->double('payment_amount', 8, 2)->default('0.00');
            $table->double('total_amount', 8, 2)->default('0.00');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('invoices');
    }
};
