<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('payments', function (Blueprint $table) {
            $table->id()->autoIncrement();
            $table->integer('invoice_id');
            $table->integer('company_id');
            $table->integer('booking_id');
            $table->integer('customer_id');
            $table->string('payment_id', 200)->nullable();
            $table->string('session_id', 200)->nullable();
            $table->string('customer_email', 100)->nullable();
            $table->string('payment_method', 20)->nullable();
            $table->string('payment_status', 20);
            $table->string('payment_currency', 20);
            $table->double('payment_amount', 8, 2);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('payments');
    }
};
