const btn = document.getElementById('menu-btn')
const nav = document.getElementById('menu')

btn.addEventListener('click', () => {
  btn.classList.toggle('open')
  nav.classList.toggle('flex')
  nav.classList.toggle('hidden')
});



/***Dynamic-heights******/

function equalizeHeights() {
  const leftDiv = document.querySelector('.leftdiv');
  const rightDiv = document.querySelector('.rightdiv');

  const leftHeight = leftDiv.offsetHeight;
  const rightHeight = rightDiv.offsetHeight;

  const maxHeight = Math.max(leftHeight, rightHeight);
  leftDiv.style.height = `${maxHeight}px`;
  rightDiv.style.height = `${maxHeight}px`;
}

window.onload = equalizeHeights;
window.onresize = equalizeHeights; // Optional: Adjust heights on window resize



/**Generate Next */

var i = 0;
var q = 0;
var original = document.getElementById('addVehicle');
var deleteButton = document.getElementById('btnDelete');

function duplicate() {
    var clone = original.cloneNode(true); // "deep" clone
    clone.id = "addVehicle" + ++i;
    deleteButton.id = "btnDelete" + ++q;
    // or clone.id = ""; if the divs don't need an ID
    console.log('clone >> ', clone);
    original.parentNode.appendChild(clone);
}

function deleteVehicle(e)
{
    e.parentNode.parentNode.parentNode.parentNode.removeChild(e.parentNode.parentNode.parentNode);
}



/**Accordian */

let elements = document.querySelectorAll("[data-menu]");
for (let i = 0; i < elements.length; i++) {
let main = elements[i];

main.addEventListener("click", function () {
let element = main.parentElement.parentElement;
let indicators = main.querySelectorAll("img");
let child = element.querySelector("#menu");
let h = element.querySelector("#mainHeading>div>p");

h.classList.toggle("font-semibold");
child.classList.toggle("hidden");
// console.log(indicators[0]);
indicators[0].classList.toggle("rotate-180");
});
}



/**Date-Picker */

function setupDatePicker(inputId, containerId, headerId, prevId, monthYearId, nextId, gridId) {
  const input = document.getElementById(inputId);
  const container = document.getElementById(containerId);
  const header = document.getElementById(headerId);
  const monthYear = document.getElementById(monthYearId);
  const grid = document.getElementById(gridId);
  const prev = document.getElementById(prevId);
  const next = document.getElementById(nextId);

  let currentDate = new Date();
  let selectedDate = null;

  function generateCalendar(date) {
    const firstDayOfMonth = new Date(date.getFullYear(), date.getMonth(), 1);
    const lastDayOfMonth = new Date(date.getFullYear(), date.getMonth() + 1, 0);
    const daysInMonth = lastDayOfMonth.getDate();
    const startingDay = firstDayOfMonth.getDay();

    monthYear.textContent = date.toLocaleString('default', { month: 'long', year: 'numeric' });
    grid.innerHTML = '';

    for (let i = 0; i < startingDay; i++) {
      const emptyDay = document.createElement('div');
      grid.appendChild(emptyDay);
    }

    for (let i = 1; i <= daysInMonth; i++) {
      const day = document.createElement('button');
      day.textContent = i;
      day.classList.add('p-1', 'hover:bg-brandGreenLight', 'rounded', 'focus:outline-none');
      if (
        selectedDate &&
        selectedDate.getFullYear() === date.getFullYear() &&
        selectedDate.getMonth() === date.getMonth() &&
        selectedDate.getDate() === i
      ) {
        day.classList.add('bg-brandGreenLight');
      }

      day.addEventListener('click', () => {
        selectedDate = new Date(date.getFullYear(), date.getMonth(), i);
        input.value = selectedDate.toLocaleDateString();
        container.classList.add('hidden');
        generateCalendar(currentDate);
      });

      grid.appendChild(day);
    }
  }

  generateCalendar(currentDate);

  input.addEventListener('click', () => {
    container.classList.remove('hidden');
  });

  prev.addEventListener('click', () => {
    currentDate = new Date(currentDate.getFullYear(), currentDate.getMonth() - 1, 1);
    generateCalendar(currentDate);
  });

  next.addEventListener('click', () => {
    currentDate = new Date(currentDate.getFullYear(), currentDate.getMonth() + 1, 1);
    generateCalendar(currentDate);
  });

  document.addEventListener('click', (event) => {
    if (!input.contains(event.target) && !container.contains(event.target)) {
      container.classList.add('hidden');
    }
  });
}

setupDatePicker(
  'dropoffdate',
  'dropoffDate-container',
  'dropoffDate-header',
  'dropoffDate-prev',
  'dropoffDate-month-year',
  'dropoffDate-next',
  'dropoffDate-grid'
);

setupDatePicker(
  'pickupdate',
  'pickupDate-container',
  'pickupDate-header',
  'pickupDate-prev',
  'pickupDate-month-year',
  'pickupDate-next',
  'pickupDate-grid'
);









