tailwind.config = {
    theme: {
        screens: {
            sm: '480px',
            md: '768px',
            lg: '976px',
            xl: '1920px',
        },
        fontFamily: {
          poppins: "Poppins",
        },
        fontSize: {
          xs: '0.75rem;',
          sm: '0.875rem;',
          base: '16px',
          lg: '36px',
          md: '22px',
          sm: '14px',
          xs: '12px',
          xl: '1.25rem',

          '2xl': '1.563rem',
          '3xl': '1.953rem',
          '4xl': '2.25rem',
          '5xl': '3.052rem',

          
        },
        extend: {
            colors: {
                brandGreen: '#00ADB5',
                fontBase: '#222831',
                fontLightGray: 'rgba(238, 238, 238, 0.5)',
                brandGreenLight: '#CCEFF0',
                brandGreenLighter: 'rgba(0, 173, 181, 0.1)',
                fontBaseLighter: 'rgba(34, 40, 49, 0.4)',
                borderGray: 'rgba(57, 62, 70, 0.5)',
                mainCTA: ' #F3A304',
                errorRed: '#E25238',

                darkBlue: 'hsl(228, 39%, 23%)',
                darkGrayishBlue: 'hsl(227, 12%, 61%)',
                veryDarkBlue: 'hsl(233, 12%, 13%)',
                veryPaleRed: 'hsl(13, 100%, 96%)',
                veryLightGray: 'hsl(0, 0%, 98%)',
            },
            backgroundImage: {
              'hero-left': "url('/assets/bg/hero-left.svg')",
              'hero-right': "url('/assets/bg/hero-right.svg')",
            },
            spacing: {
              '515': '515px',
              '550': '550px',
              '58': '58px'
            }
        },
    },
}