@extends('layouts.app')

@section('title', 'Holiday Parking - What We Offer')

@section('content')
    @include('partials.header', ['title' =>  __('pages.about.title')])

    <section id="about-page" class="py-16 space-y-14">

        <!-- Flex container -->
        <div class="container flex flex-col-reverse items-center px-4 mx-auto mt-8 md:space-y-0 md:flex-row">
            <!-- Left -->
            <div class="flex flex-col space-y-8 md:w-1/2 text-base text-fontBase px-8 py-4 text-left">
                <!-- List Item 1 -->

                <!-- Heading -->
                <h2 class="text-4xl font-bold text-left text-fontBase">
                    Who We Are
                </h2>
                <p class="text-left">
                    At Holiday Parking Services, we specialize in providing the best airport parking deals by comparing a wide range of car parks to suit every one of our customer needs.
                </p>
                <p class="text-left">
                    Whether you are looking for convenience, affordability or premium services, our platform offers competitive prices with top-notch service. With our easy-to-use and informative website, finding the right parking services suitable for you will quick and straightforward from meet and greet services to park and ride.
                </p>
                <p class="text-left">
                    We ensure a seamless experience from booking to arrival, making your journey less of a hassle. Our website is available 24/7, giving you every flexibility to book at your requirement
                </p>
            </div>

            <!-- Right -->
            <div class="flex flex-col md:w-1/2">
                <img src="assets/bg/bg_img_meet_greet.svg" alt="Meet and Greet" class="w-auto"/>
            </div>
        </div>

        <!-- Flex container -->
        <div class="container flex flex-col items-center px-4 mx-auto mt-8 md:space-y-0 md:flex-row">
            <!-- Left -->
            <div class="flex flex-col md:w-1/2">
                <img src="assets/bg/bg_img_park_ride.svg" alt="Park & Ride" class="w-auto"/>
            </div>
            <!-- Right -->
            <div class="flex flex-col space-y-8 md:w-1/2 text-base text-fontBase px-8 py-4 text-left">
                <!-- List Item 1 -->

                <!-- Heading -->
                <h2 class="text-4xl font-bold text-left text-fontBase">
                    Our Mission
                </h2>
                <p class="text-left">
                    At Holiday Parking Services, we make airport parking easy and stress-free. Simply book your parking with us, and we will take care of the rest. We offer cost-effective and comprehensive services, backed up by a dedicated and efficient customer support team.
                </p>
                <p class="text-left">
                    Whether you have questions, queries, or any concerns, our team handles them promptly and professionally, ensuring your experience is smooth from start to finish.
                </p>
                <p class="text-left">
                    We greatly appreciate your loyalty and support and always here to provide with unbeatable experiences from us and our dealers.
                </p>
            </div>
        </div>

    </section>
@endsection
