@extends('backend.layouts.login_app')

@section('content')
    <!--begin::Body-->
    <body class="login-page bg-body-secondary" style="background-color: #00adb5 !important">
    <div class="login-box" style="margin: 0px auto;">
        <div class="login-logo" style="color: white;font-weight: bold">
            <b>Holiday Parking Service</b>
        </div>
        <!-- /.login-logo -->
        <div class="card">
            <div class="card-body login-card-body">
                <p class="login-box-msg">Sign in to start your session</p>

                @if ($errors->any())
                    <div class="alert alert-danger">
                        <ul>
                            @foreach ($errors->all() as $error)
                                <li>{{ $error }}</li>
                            @endforeach
                        </ul>
                    </div>
                @endif

                <form method="POST" action="{{ route('register.user.store') }}">
                    @csrf

                    <div class="input-group mb-3">
                        <input type="text" id="name" name="name" class="form-control" placeholder="Name" />
                        <div class="input-group-text"><span class="bi bi-person"></span></div>
                    </div>
                    <div class="input-group mb-3">
                        <input type="email" id="email" name="email" class="form-control" placeholder="Email" />
                        <div class="input-group-text"><span class="bi bi-envelope"></span></div>
                    </div>
                    <div class="input-group mb-3">
                        <select name="role" id="role" class="form-select">
                            <option value="user">User</option>
                            <option value="admin">Admin</option>
                        </select>
                        <div class="input-group-prepend">
                            <div class="input-group-text"><i class="bi bi-person-vcard-fill"></i></div>
                        </div>
                    </div>
                    <div class="input-group mb-3">
                        <input type="password" id="password" name="password" class="form-control" placeholder="Password" />
                        <div class="input-group-text"><span class="bi bi-lock-fill"></span></div>
                    </div>
                    <div class="input-group mb-3">
                        <input type="password" id="password_confirmation" name="password_confirmation" class="form-control" placeholder="Password" />
                        <div class="input-group-text"><span class="bi bi-lock-fill"></span></div>
                    </div>

                    <div class="flex items-center justify-end mt-4">
                        <div class="d-grid gap-2">
                            <button type="submit" class="btn btn-warning" style="color: white;font-weight: bold">Register</button>
                        </div>
                        <a class="underline text-sm text-gray-600 hover:text-gray-900 rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500" href="{{ route('login') }}">
                            Go Back To Dashboard
                        </a>
                    </div>
                </form>
                <img src="{{asset('assets/logo/logo.svg')}}" width="75%" style="margin-top: 1em; display: block; margin-left: auto; margin-right: auto;">
            </div>
            <!-- /.login-card-body -->
        </div>
    </div>
    <!-- /.login-box -->

@endsection

