@extends('backend.layouts.app')

@section('title', $title)

@push('styles')
    <!-- Bootstrap 5 CSS -->
{{--    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">--}}

    <!-- Select2 Bootstrap Theme CSS (for better integration with Bootstrap) -->
    <link href="https://cdn.jsdelivr.net/npm/select2-bootstrap-5-theme@1.3.0/dist/select2-bootstrap-5-theme.min.css" rel="stylesheet" />
    <!-- Select2 CSS -->
    <link href="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/css/select2.min.css" rel="stylesheet" />
    <!-- Date Range Picker CSS -->
    <link href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" rel="stylesheet" />

    <link rel="stylesheet" href="{{ asset('css/datatables-custom.css') }}" />
@endpush

@section('content')
    <!--begin::App Main-->
    <main class="app-main">
        <!--begin::App Content Header-->
        <div class="app-content-header">
            <!--begin::Container-->
            <div class="container-fluid">
                <!--begin::Row-->
                <div class="row">
                    <div class="col-sm-6"><h3 class="mb-0">{{$title}}</h3></div>
                </div>
                <!--end::Row-->
            </div>
            <!--end::Container-->
        </div>
        <!--end::App Content Header-->
        <!--begin::App Content-->
        <div class="app-content">
            <!--begin::Container-->
            <div class="container-fluid">
                <!--begin::Row-->
                <div class="row">

                    <form id="filter-form">
                        <div class="card card-danger card-outline mb-4">
                            <!--begin::Header-->
                            <div class="card-header"><div class="card-title">Filter Options</div></div>

                            <!--begin::Body-->
                            <div class="card-body">
                                <!--begin::Row-->
                                <div class="row">

                                    <div class="col-3">
                                        <select id="product-filter" class="form-control select2" style="width: 100%;">
                                            <option value="">All Product</option>
                                            @foreach($products as $product)
                                                <option value="{{ $product['id'] }}">{{ $product['name'] }}</option>
                                            @endforeach
                                        </select>
                                    </div>

                                    <div class="col-3">
                                        <select id="date-filter" class="form-control select2" style="width: 100%;">
                                            <option value="">Select Date Filter</option>
                                            @foreach($date_filters as $date_filter)
                                                <option value="{{ $date_filter['id'] }}">{{ $date_filter['name'] }}</option>
                                            @endforeach
                                        </select>
                                    </div>

                                    <div class="col-3">
                                        <input type="text" id="daterange-filter" class="form-control" placeholder="From Date - To Date" disabled />
                                    </div>
                                    <div class="col-3">
                                        <select id="agent-filter" class="form-control select2" style="width: 100%;">
                                            <option value="">All Agents</option>
                                            @foreach($companies as $company)
                                                <option value="{{ $company['id'] }}">{{ $company['name'] }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                </div>
                            </div>

                            <div class="card-body">
                                <div class="row">
                                    <div class="col-3">
                                        <select id="airport-filter" class="form-control select2" style="width: 100%;">
                                            <option value="">All Airports</option>
                                            @foreach($airports as $airport)
                                                <option value="{{ $airport['id'] }}">{{ $airport['name'] }}</option>
                                            @endforeach
                                        </select>
                                    </div>
                                    <div class="col-3">
                                        <select id="terminal-filter" class="form-control select2" style="width: 100%;">
                                            <option value="">All Terminals</option>
                                            @foreach($terminals as $terminal)
                                                <option value="{{ $terminal['id'] }}">{{ $terminal['terminal_name'] }}</option>
                                            @endforeach
                                        </select>
                                    </div>

                                    <div class="col-3">
                                        <select id="payment-status-filter" class="form-control select2" style="width: 100%;">
                                            <option value="">Payment Success</option>
                                        </select>
                                    </div>

                                    <div class="col-3">
                                        <input id="search-filter" type="text" class="form-control" placeholder="Name, Ref No, Email, Mobile, Reg No" />
                                    </div>
                                </div>
                            </div>

                            <div class="card-footer">
                                <button type="submit" class="btn btn-success">Search</button>
                                <button type="reset" class="btn btn-warning float-end">Rest Filters</button>
                            </div>
                        </div>
                    </form>

                </div>
                <!--end::Row-->

                <!-- /.row (main row) -->
            </div>

            <div class="container-fluid">

                <div class="row">
                    <div class="col-md-12">
                        <div class="card card-success card-outline mb-4">
                            <!--begin::Header-->
                            <div class="card-header">
                                <div class="card-title">Booking Info</div>
                            </div>
                            <div class="card-body" style="overflow: auto;">
                                {{ $dataTable->table() }}
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <!--end::Container-->
        </div>
        <!--end::App Content-->
    </main>
    <!--end::App Main-->
@endsection

@push('scripts')
    <!-- Select2 JS -->
    <script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
    <!-- Bootstrap 5 JS -->
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/5.1.3/js/bootstrap.bundle.min.js"></script>
    <!-- Moment.js (required for Date Range Picker) -->
    <script src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>
    <!-- Date Range Picker JS -->
    <script src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>




    <script>
        const bookingTblRoute = "{{ route('bookings.datatable') }}";
    </script>
    <script src="{{ asset('js/dashboard/common-dashboard.js') }}"></script>

    <!-- Moment.js -->
    <script src="https://cdn.jsdelivr.net/momentjs/latest/moment.min.js"></script>

    <!-- Date Range Picker CSS -->
    <link rel="stylesheet" type="text/css" href="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.css" />

    <!-- Date Range Picker JS -->
    <script type="text/javascript" src="https://cdn.jsdelivr.net/npm/daterangepicker/daterangepicker.min.js"></script>
@endpush
