<aside class="app-sidebar bg-body-secondary shadow" data-bs-theme="dark">
    <!--begin::Sidebar Brand-->
    <div class="sidebar-brand">
        <!--begin::Brand Link-->
        <a href="{{ route('home') }}" class="brand-link">
            <!--begin::Brand Image-->
            <img src="{{ asset('assets/logo/logo.svg') }}" alt="Logo" class="brand-image opacity-75 shadow"/>
            <!--end::Brand Image-->
            <!--begin::Brand Text-->
            <span class="brand-text fw-light">HPS</span>
            <!--end::Brand Text-->
        </a>
        <!--end::Brand Link-->
    </div>
    <!--end::Sidebar Brand-->
    <!--begin::Sidebar Wrapper-->
    <div class="sidebar-wrapper">
        <nav class="mt-2">
            <!--begin::Sidebar Menu-->
            <ul
                class="nav sidebar-menu flex-column"
                data-lte-toggle="treeview"
                role="menu"
                data-accordion="false"
            >
                <li class="nav-item menu-open">
                    <a href="#" class="nav-link active">
                        <i class="nav-icon bi bi-speedometer"></i>
                        <p>
                            Dashboard
                            <i class="nav-arrow bi bi-chevron-right"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href={{ route('dashboard.common') }} class="nav-link {{ request()->routeIs('dashboard.common') ? 'active' : '' }}">
                            <i class="nav-icon bi bi-circle"></i>
                            <p>Common Dashboard</p>
                            </a>
                        </li>
                        <li class="nav-item">
                            <a href="" class="nav-link">
                                <i class="nav-icon bi bi-circle"></i>
                                <p>Management Dashboard</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item menu-open">
                    <a href="#" class="nav-link active">
                        <i class="nav-icon bi bi-car-front"></i>
                        <p>
                            Booking Management
                            <i class="nav-arrow bi bi-chevron-right"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href={{ route('booking.now') }} class="nav-link {{ request()->routeIs('booking.now') ? 'active' : '' }}">
                            <i class="nav-icon bi bi-circle"></i>
                            <p>Book Now</p>
                            </a>
                        </li>
                    </ul>
                </li>

                <li class="nav-item menu-open">
                    <a href="#" class="nav-link active">
                        <i class="nav-icon bi bi-ui-checks-grid"></i>
                        <p>
                            Settings
                            <i class="nav-arrow bi bi-chevron-right"></i>
                        </p>
                    </a>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href={{ route('company.index') }} class="nav-link {{ request()->routeIs('company.index') ? 'active' : '' }}">
                            <i class="nav-icon bi bi-building"></i>
                            <p>Company Configuration</p>
                            </a>
                        </li>
                    </ul>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href={{ route('airport.index') }} class="nav-link {{ request()->routeIs('airport.index') ? 'active' : '' }}">
                            <i class="nav-icon bi bi-airplane-engines"></i>
                            <p>Airport Configuration</p>
                            </a>
                        </li>
                    </ul>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href={{ route('product_feature.index') }} class="nav-link {{ request()->routeIs('product_feature.index') ? 'active' : '' }}">
                            <i class="nav-icon bi bi-card-list"></i>
                            <p>Product Features Configuration</p>
                            </a>
                        </li>
                    </ul>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href={{ route('product_service.index') }} class="nav-link {{ request()->routeIs('product_service.index') ? 'active' : '' }}">
                            <i class="nav-icon bi bi-hdd-rack"></i>
                            <p>Product Services Configuration</p>
                            </a>
                        </li>
                    </ul>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href={{ route('product.index') }} class="nav-link {{ request()->routeIs('product.index') ? 'active' : '' }}">
                            <i class="nav-icon bi bi-journals"></i>
                            <p>Product Configuration</p>
                            </a>
                        </li>
                    </ul>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href="{{ route('terminal.index') }}" class="nav-link {{ request()->routeIs('terminal.index') ? 'active' : '' }}">
                            <i class="nav-icon bi bi-signpost"></i>
                            <p>Terminal Configuration</p>
                            </a>
                        </li>
                    </ul>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href={{ route('site.index') }} class="nav-link {{ request()->routeIs('site.index') ? 'active' : '' }}">
                            <i class="nav-icon bi bi-houses"></i>
                            <p>Site Configuration</p>
                            </a>
                        </li>
                    </ul>
                    <ul class="nav nav-treeview">
                        <li class="nav-item">
                            <a href={{ route('block.index') }} class="nav-link {{ request()->routeIs('block.index') ? 'active' : '' }}">
                            <i class="nav-icon bi bi-border-all"></i>
                            <p>Block Configuration</p>
                            </a>
                        </li>
                    </ul>

                    @if(auth()->user()->hasRole('admin'))
                        <ul class="nav nav-treeview">
                            <li class="nav-item">
                                <a href={{ route('register.user') }} class="nav-link {{ request()->routeIs('register.user') ? 'active' : '' }}">
                                <i class="bi bi-person-fill-add"></i>
                                <p>User Registration</p>
                                </a>
                            </li>
                        </ul>
                    @endif
                </li>
            </ul>
            <!--end::Sidebar Menu-->
        </nav>
    </div>
    <!--end::Sidebar Wrapper-->
</aside>
