<footer class="bg-veryDarkBlue font-poppins">
    <div class="container flex flex-col justify-between px-6 py-10 mx-auto space-y-8 md:flex-row md:space-y-0">
        <div class="flex flex-col items-center justify-between space-y-12 md:space-y-0 md:items-start">
            <div>
                <img src="{{ asset('assets/logo/lg_logo_footer.svg') }}" alt="Holiday Parking" />
            </div>
        </div>

        <div class="flex justify-around space-x-32 text-sm">
            <div class="flex flex-col space-y-3 text-white">
                <h5 class="text-base font-semibold py-4 pt-0">{{ __('navbar.footer.head-1') }}</h5>
                <a href="{{ route('faq') }}" class="hover:text-brandGreen">{{ __('navbar.nav.faq') }}</a>
                <a href="{{ route('about') }}" class="hover:text-brandGreen">{{ __('navbar.nav.about') }}</a>
                <a href="{{ route('contact') }}" class="hover:text-brandGreen">{{ __('navbar.nav.contact-us') }}</a>
            </div>
            <div class="flex flex-col space-y-3 text-white">
                <h5 class="text-base font-semibold py-4 pt-0">{{ __('navbar.footer.head-2') }}</h5>
                <a href="{{ route('terms-and-conditions') }}" class="hover:text-brandGreen">{{ __('navbar.footer.terms') }}</a>
                <a href="{{ route('privacy-policy') }}" class="hover:text-brandGreen">{{ __('navbar.footer.policy') }}</a>
            </div>
        </div>

        <div class="flex flex-row md:justify-between space-x-4">
            @foreach(['tiktok', 'instagram', 'facebook'] as $social)
                <a href="#" target="_blank" class="flex flex-col transition duration-300 ease-in-out h-8 hover:drop-shadow-lg hover:bg-brandGreen rounded-full">
                    <img src="{{ asset('assets/icons/ic_social_' . $social . '_footer.svg') }}" alt="{{ ucfirst($social) }}" class="h-8" />
                </a>
            @endforeach
        </div>
    </div>

    <div class="container flex items-center mx-auto py-4 border-t border-fontLightGray/10">
        <div class="mx-auto my-6 text-center text-xs text-fontLightGray">
            {{ date('Y') }} &copy; Holiday Parking Service | All Rights Reserved.
        </div>
    </div>
</footer>
