<form class="container flex flex-col md:flex-row space-y-4 md:space-y-0 md:space-x-3 py-4 px-4 md:px-0 mx-auto">
    <div class="flex-initial w-full md:w-56 ">
        <div class="flex flex-row">
            <label for="airport" class="w-full font-semibold text-xs text-white pb-1">Travelling From</label>
        </div>
        <div class="flex flex-row justify-center items-center w-full h-8 bg-white rounded p-2 ">

            <div class="flex flex-col w-1/12 h-ful text-fontBase">
                <img src="assets/icons/ic_airport.svg" alt="Airport" class="w-6"/>
            </div>
            <div class="flex flex-col w-11/12 ">
                <select id="airport" name="airport"
                        class="text-fontBaseLighter text-sm rounded-sm bg-transparent focus:ring-transparent focus:border-transparent block w-full text-left">
                    <option selected>Choose an airport</option>
                    @foreach($airports as $airport)
                        <option value="{{$airport->id}}" {{old('airport') == $airport->id ? 'selected' : ''}} >{{$airport->name}} </option>
                    @endforeach
                </select>
            </div>
        </div>
    </div>


    <div class="flex-1 w-full md:w-36">
        <div class="flex flex-row">
            <label for="airport" class="w-full font-semibold text-xs text-white pb-1">Drop Off Date</label>
        </div>
        <div class="flex flex-row justify-center items-center w-full h-8 bg-white rounded p-2 ">
            <div class="flex flex-col w-1/12 h-ful text-fontBase">
                <img src="assets/icons/ic_date.svg" alt="Airport" class="w-6"/>
            </div>
            <div class="flex flex-col w-10/12 relative">
                <!--datepicker-dropoffDate-->
                <input
                    name="dropoff_date" value="{{old('dropoff_date')}}"
                    type="text"
                    id="dropoffdate"
                    class="text-fontBaseLighter text-sm border border-transparent focus:outline-none focus:ring-0 focus:border-transparent block w-full text-left"
                    placeholder="Drop off Date"
                    readonly
                />
                <div id="dropoffDate-container" class="absolute top-full left-0 mt-2 text-xs z-10 bg-white border rounded shadow-md min-w-64 hidden">
                    <div class="p-4">
                        <div id="dropoffDate-header" class="flex justify-between items-center mb-2">
                            <button id="dropoffDate-prev" class="p-1 hover:bg-brandGreenLight rounded">&lt;</button>
                            <span id="dropoffDate-month-year"></span>
                            <button id="dropoffDate-next" class="p-1 hover:bg-brandGreenLight rounded">&gt;</button>
                        </div>
                        <div id="dropoffDate-grid" class="grid grid-cols-7 gap-1"></div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div class="flex-1 w-full md:w-36">
        <div class="flex flex-row">
            <label for="dropofftime" class="w-full font-semibold text-xs text-white pb-1">Drop Off Time</label>
        </div>
        <div class="flex flex-row justify-center items-center w-full h-8 bg-white rounded p-2 ">
            <div class="flex flex-col w-1/12 h-ful text-fontBase">
                <img src="assets/icons/ic_time_clock.svg" alt="Airport" class="w-6"/>
            </div>
            <div class="flex flex-col w-10/12">
                <input type="time" id="dropofftime"  name="dropoff_time"  value="{{old('dropoff_time')}}"
                       class="text-fontBaseLighter text-sm border border-transparent focus:outline-none focus:ring-0 focus:border-transparent block w-full text-left">
            </div>
        </div>
    </div>

    <div class="flex-1 w-full md:w-36">
        <div class="flex flex-row">
            <label for="pickupdate" class="w-full font-semibold text-xs text-white pb-1">Pickup Date</label>
        </div>
        <div class="flex flex-row justify-center items-center w-full h-8 bg-white rounded p-2 ">
            <div class="flex flex-col w-1/12 h-ful text-fontBase">
                <img src="assets/icons/ic_date.svg" alt="Airport" class="w-6"/>
            </div>
            <div class="flex flex-col w-10/12 relative">
                <!--datepicker-pickupDate-->
                <input
                    name="pickup_date"  value="{{old('pickup_date')}}"
                    type="text"
                    id="pickupdate"
                    class="text-fontBaseLighter text-sm border border-transparent focus:outline-none focus:ring-0 focus:border-transparent block w-full text-left"
                    placeholder="Pickup Date"
                    readonly
                />
                <div id="pickupDate-container" class="absolute top-full left-0 mt-2 text-xs z-10 bg-white border rounded shadow-md min-w-64 hidden">
                    <div class="p-4">
                        <div id="pickupDate-header" class="flex justify-between items-center mb-2">
                            <button id="pickupDate-prev" class="p-1 hover:bg-brandGreenLight rounded">
                                &lt;
                            </button>
                            <span id="pickupDate-month-year"></span>
                            <button id="pickupDate-next" class="p-1 hover:bg-brandGreenLight rounded">
                                &gt;
                            </button>
                        </div>
                        <div id="pickupDate-grid" class="grid grid-cols-7 gap-1"></div>
                    </div>
                </div>
                <!--datepicker-pickupDate-->
            </div>
        </div>
    </div>

    <div class="flex-1 w-full md:w-36">
        <div class="flex flex-row">
            <label for="pickuptime" class="w-full font-semibold text-xs text-white pb-1">Pickup Time</label>
        </div>
        <div class="flex flex-row justify-center items-center w-full h-8 bg-white rounded p-2 ">
            <div class="flex flex-col w-1/12 h-ful text-fontBase">
                <img src="assets/icons/ic_time_clock.svg" alt="Airport" class="w-6"/>
            </div>
            <div class="flex flex-col w-10/12">
                <input type="time" id="pickuptime"  name="pickup_time"  value="{{old('pickup_time')}}"
                       class="text-fontBaseLighter text-sm border border-transparent focus:outline-none focus:ring-0 focus:border-transparent block w-full text-left">
            </div>
        </div>
    </div>

    <div class="flex-1 w-full md:w-36 pt-5">
        <button type="submit"
                class="text-sm bg-mainCTA text-white flex flex-row justify-center items-center w-full h-8 rounded p-2">
            Refine Search
        </button>
    </div>
</form>
