@extends('layouts.app')

@section('title', 'Holiday Parking - What We Offer')

@section('content')
    @include('partials.header', ['title' =>  __('pages.what_we_offer.title')])

    {{-- About Section --}}
    <section id="about-page" class="py-4 space-y-14">

        <!-- Flex container -->
        <div class="container flex flex-col-reverse items-center px-4 mx-auto mt-8 md:space-y-0 md:flex-row">
            <!-- Left -->
            <div class="flex flex-col md:w-1/2">
                <img src="assets/bg/bg_img_what_we_offer.svg" alt="what we offer" class="w-auto"/>
            </div>
            <!-- Right -->
            <div class="flex flex-col space-y-8 md:w-1/2 text-base text-fontBase px-8 py-4 text-left">
                <p class="text-left">
                    At Holiday Parking Services, we provide a range of airport parking solutions designed to offer convenience, security, and affordability. Whether you need a hassle-free valet service, a budget-friendly park-and-ride option, or the closest onsite parking, we’ve got you covered.
                </p>
            </div>
        </div>

    </section>

    <!-- Features -->
    <section id="features-page" class="pb-20">
        <!-- Container to heading and testm blocks -->
        <div class="max-w-6xl px-5 mx-auto text-center bg-brandGreen py-8 px-10 rounded-lg">
            <!-- Feature Container -->
            <div class="flex flex-col md:flex-row space-y-12 md:space-y-0 text-white">
                <!-- Feature 1 -->
                <div
                        class="flex flex-col items-center p-6 space-y-6 md:w-1/3"
                >
                    <div class="w-20 h-20">
                        <img src="assets/icons/ic_feature1.svg" class="w-16 " alt="Feature" />
                    </div>

                    <h5 class="text-md font-bold text-center">Meet and Greet Parking </h5>
                    <p class="text-base text-center">
                        For the ultimate convenience, choose our Meet and Greet parking service. Simply drive to the designated drop-off area, and a professional valet will securely park your vehicle for you. When you return, your car will be ready and waiting—no need to search for a parking spot or waste time. This service is perfect for business travellers, families, or anyone looking for a stress-free airport parking experience.
                    </p>
                </div>

                <!-- Feature 2 -->
                <div
                        class="flex flex-col items-center p-6 space-y-6 md:w-1/3 md:border-x md:border-white"
                >
                    <div class="w-20 h-20">
                        <img src="assets/icons/ic_feature2.svg" class="w-16 " alt="Feature" />
                    </div>

                    <h5 class="text-md font-bold text-center">Park and Ride – Affordable & Secure</h5>
                    <p class="text-base text-center">
                        If you're looking for cheap airport parking without compromising on service, our Park and Ride option is ideal. Park your vehicle at a secure off-site facility and take advantage of a free shuttle service that runs every 5 to 10 minutes. With 24/7 security, frequent transfers, and budget-friendly rates, this option ensures a smooth and cost-effective airport parking experience.
                    </p>
                </div>



                <!-- Feature 3 -->
                <div
                        class="flex flex-col items-center p-6 space-y-6 md:w-1/3"
                >
                    <div class="w-20 h-20">
                        <img src="assets/icons/ic_feature3.svg" class="w-16 " alt="Feature" />
                    </div>

                    <h5 class="text-md font-bold text-center">Onsite Airport Parking – Closest to the Terminal</h5>
                    <p class="text-base  text-center">
                        For travelers who want to park as close as possible to the airport, onsite parking is the best option. Choose from: <br>
                        •⁠  ⁠Short Stay Parking: Located near the terminal for quick and easy access, ideal for short trips. <br>
                        •⁠  ⁠Long Stay Parking: A great choice for extended trips, offering secure parking with short transfer times to the terminal.<br>
                        To guarantee the best prices and availability, we recommend booking your onsite airport parking in advance.
                    </p>
                </div>


            </div>

        </div>


        <!-- Container to heading and testm blocks -->
        <div class="max-w-6xl px-5 mx-auto text-center text-black border-2 border-brandGreen space-y-6 py-8 px-10 rounded-lg my-10">
            <h5 class="text-md font-bold text-center">Book Your Airport Parking Today</h5>
            <p class="text-base text-center">
                No matter your travel plans, Holiday Parking Services provides reliable, secure, and affordable airport parking solutions. Compare options, book online, and enjoy a hassle-free journey from start to finish.
            </p>
        </div>

    </section>
@endsection
